Subject: Re: 28.0.50; process-send-string mysteriously exiting non-locally when called from timer

From: João Távora <[email-masked]>
Date: Fri, 11 Dec 2020 14:41:05 +0000

On Fri, Dec 11, 2020 at 2:31 PM Stefan Monnier <[email-masked]> wrote:
>
> > If currently process-send-string isn't protected against
> > while-no-input, then perhaps we should add such a protection?
>
> Not just "perhaps" but "definitely".  This said, I believe it already is
> "protected" so there's nothing we need to do (at least until we get
> a bug report showing I'm wrong).

In this bug report, I did observe a non-local exit from
process-send-string once or twice, though it was rare.
(look up).  My theory is that for strings that go in bunches,
when  there's some output to accept, things can
come in that cause the quit.  But I didn't investigate.

João